%define upstream_name	 Date-HolidayParser
%define upstream_version 0.43

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parser for ~/.holiday-style files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Term/ReadLine/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a module that parses .holiday-style files. These are
files that define holidays in various parts of the world.
The files are easy to write and easy for humans to read, but can
be hard to parse because the format allows many different ways to write it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build "CFLAGS=%{optflags}"

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Date

%changelog
* Tue Dec 22 2020 tv <tv> 0.430.0-1.mga8
+ Revision: 1662776
- update to 0.43

* Wed Feb 12 2020 umeabot <umeabot> 0.410.0-10.mga8
+ Revision: 1493858
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.410.0-9.mga7
+ Revision: 1267024
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.410.0-8.mga6
+ Revision: 1025024
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.410.0-7.mga6
+ Revision: 948561
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.410.0-6.mga5
+ Revision: 788007
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-5.mga5
+ Revision: 741806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.410.0-4.mga5
+ Revision: 684260
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.410.0-3.mga4
+ Revision: 510714
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 365542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 36175
- mageia rebuild
- imported package perl-Date-HolidayParser

